
//Titel:        Hash Table
//Version:      
//Copyright:    Copyright (c) 2000
//Autor:       J.M.Joller
//Firma:      (C) J.M.Joller
//Beschreibung:  Einsatzmglichkeit fr HashTables
package HashTableDemo;

class Person {
  public String surname;  // Vorname
  public String name;     // Nachname
  public int age;         // Alter

  public Person(String surname, String name, int age) {
    // Werte speichern
    this.surname = surname;
    this.name = name;
    this.age = age;
  }

  public int hashCode() {
    // Rckgabe des HashCodes
    return  (surname+name).hashCode()+age;
  }

  public boolean equals(Object obj) {
    // Ist das bergebene Objekt vom Typ 'Person'?
    if (obj instanceof Person) {
      // Wenn ja, vergleich Werte
      return ((surname.equals(((Person)obj).surname))
             && (name.equals(((Person)obj).name))
             && (age  == ((Person)obj).age));
    }
    return false;
  }
}


