
//Titel:        HashSets zur Generierung von Lottozahlen
//Version:
//Copyright:    Copyright (c) 2000
//Autor:       J.M.Joller
//Firma:      (C) J.M.Joller
//Beschreibung:  HashSets zur Generierung von Lottozahlen
package LottoTips;

import java.util.*;

class HashSetsLotto {
  public static void main(String args[])
  {
    HashSet set = new HashSet(10);
    int doubletten = 0;
    System.out.println("Lottozahlen generieren : 1...49; max 6 unterschiedliche");
    while (set.size() < 6) {
      int num = (int)(Math.random() * 49) + 1;
      if (!set.add(new Integer(num))) {
        ++doubletten;
      }
    }
    System.out.println("Lottozahlen ausgeben");
    Iterator it = set.iterator();
    while (it.hasNext()) {
      System.out.println(((Integer)it.next()).toString());
    }
    System.out.println("Ignorierte Doubletten: " + doubletten);
  }
}