
//Titel:        Observable - Observer Design Pattern
//Version:      
//Copyright:    Copyright (c) 2000
//Autor:       J.M.Joller
//Firma:      (C) J.M.Joller
//Beschreibung:  Observable - Observer Design Pattern
package Observable_Observer;

import java.util.Observable;

class FarbObservable extends Observable {
    public static String farbName(int i) {
        System.out.println("FarbObservable : Methode farbName");
        switch (i) {
        case 1: return ("Rot");
        case 0: return ("Weiss");
        case 2: return ("Blau");
        default: return (null);
            }
    }
    public void farbeAendern(int i) {
        System.out.println("FarbObservable : Methode farbeAendern");
        setChanged();
        notifyObservers(new Integer(i));
        clearChanged(); // nicht ntig; notifyObservers() rumt schon auf
    }
}