
//Titel:        Observable - Observer Design Pattern
//Version:
//Copyright:    Copyright (c) 2000
//Autor:       J.M.Joller
//Firma:      (C) J.M.Joller
//Beschreibung:  Observable - Observer Design Pattern
package Observable_Observer;

import java.util.Observer;
import java.util.Observable;

// Dieser Observer zhlt die Anzahl Zugriffe auf 'arg'
class Statistik implements Observer {
    private int[] zhlen;
    Statistik(int array_grsse) {
        zhlen = new int[array_grsse];
    }
    public void update(Observable o, Object arg) {
        System.out.println("Observer 'Statistik' : Methode update");
        Integer int_obj = (Integer)arg;
        if (int_obj.intValue() < zhlen.length)
            ++zhlen[int_obj.intValue()];
    }
    public void berichten() {
        System.out.println("Observer 'Statistik' : Methode berichten");
        System.out.println("Aenderung: ");
        for (int i = 0; i < zhlen.length; i++)
            System.out.println(FarbObservable.farbName(i) + ": " + zhlen[i]);
    }
}
