
//Titel:        Totale Speicherbereinigung
//Version:
//Copyright:    Copyright (c) 2000
//Autor:       J.M.Joller
//Firma:      (C) J.M.Joller
//Beschreibung:  Totale Speicherbereinigung
package totalespeicherbereinigungprojekt;

public class TotaleSpeicherbereinigung {

  public static void main(String[] args) {
    Runtime rt = Runtime.getRuntime();
    long istFrei = rt.freeMemory();
    long warFrei;
    System.out.println("Freier Speicher vor GC: "+istFrei);
    do {
      warFrei = istFrei;
      rt.gc();
      istFrei = rt.freeMemory();
      System.out.println("Freier Speicher : "+istFrei);
    } while (istFrei > warFrei);
    // jetzt ist alles frei bis auf "Finalize" Objekte
    System.out.println("Finalization");
    System.out.println("Freier Speicher : "+istFrei);
    rt.runFinalization();
    System.out.println("Freier Speicher : "+istFrei);
  }
}
