
//Titel:        sortieren einer Datei
//Version:
//Copyright:    Copyright (c) 2000
//Autor:       J.M.Joller
//Firma:      (C) J.M.Joller
//Beschreibung:  1) generieren der Datei
//2) lesen der Datei in eine Liste
//3) sortieren der Liste
//4) Ausgabe der sortierten Liste in eine Datei
package sortDatei;

import java.util.*;
import java.io.*;

class sortierenEinerDatei {
  public static void main(String args[]) {
    Date start = new Date();
    long t0 = start.getTime();

    if (args.length < 2) {
        System.out.println("usage : java sortiereDatei Eingabedatei Ausgabedatei");
    }
    String strFNin  = args[0];
    String strFNout = args[1];

    int j=100000;
    sortierenEinerDatei.generiereInput(strFNin, j);
    int cIn;

    try {
      FileReader fin = new FileReader(strFNin);
      BufferedReader br = new BufferedReader(fin);
      System.out.println("Eingabedatei "+strFNin+" wurde geoeffnet!");

      FileWriter fout = new FileWriter(strFNout);
      BufferedWriter bw = new BufferedWriter(fout);
      System.out.println("Ausgabedatei "+strFNout+" wurde angelegt!");

      String strLine = "";
      ArrayList liste = new ArrayList();

      while ( (strLine=br.readLine())!=null ) {
        //System.out.println("strLine : "+strLine);
        //bw.write(strLine);
        //bw.newLine();
        if (!liste.add(strLine))
          System.out.println("Das Element "+strLine +" konnte nicht in die Liste eingetragen werden!");
      }

      // sort ist static, also eine Klassenmethode
      // wir brauchen also nicht erst ein Objekt zu generieren
      Collections.sort(liste);

      br.close();
      System.out.println("Eingabedatei "+strFNin+" wurde geschlossen!");

      int i;
      for (i=0; i < liste.size(); i++) {
        bw.write((String)liste.get(i));
        bw.newLine();
      }

      System.out.println("Anzahl Datenstze : "+i);
      Date ende = new Date();
      long t1 = ende.getTime();
      System.out.println("Elapsed Time : "+ (t1-t0)+" Milli-Sekunden" );

      bw.close();
      System.out.println("Ausgabedatei "+strFNout+" wurde geschlossen!");
    }
    catch (IOException ex) {
      System.out.println("Die Ausgabedatei "+strFNout+" konnte nicht erzeugt werden!");
      ex.printStackTrace();
    }
  }
  static void generiereInput(String fIn, int iMail) {
      String strFNout;
      strFNout = fIn;

      int iLoop,i;
      iLoop=iMail;
      i=0;

    try {
      FileWriter fout = new FileWriter(strFNout);
      BufferedWriter bw = new BufferedWriter(fout);
      System.out.println("Startdatei "+strFNout+" wurde angelegt!");

      while ( i<iLoop ) {
        bw.write("name"+i+"@provider"+i+".com");
        bw.newLine();
        i++;
      }

      bw.close();
      System.out.println("Startdatei "+strFNout+" wurde geschlossen!");
    }
    catch (IOException ex) {
      System.out.println("Die Startdatei "+strFNout+" konnte nicht erzeugt werden!");
      ex.printStackTrace();
    }
  }
}
