
//Titel:        Implementation mehrerer Listen mit Hilfe des Collection Interfaces
//Version:
//Copyright:    Copyright (c) 2000
//Autor:       J.M.Joller
//Firma:      (C) J.M.Joller
//Beschreibung:  Listenbeispiel
package Collection_List;

import java.util.*;
class CollectionList {

  static void fillList(List list)
  {
    System.out.println("Elemente in die Liste eintragen");
    for (int i = 0; i < 10; ++i) {
      list.add("" + i);
    }
    list.remove(3);
    list.remove("5");
  }

  static void printList(List list)
  {
    System.out.println("Ausgabe der Liste");
    for (int i = 0; i < list.size(); ++i) {
      System.out.println((String)list.get(i));
    }
    System.out.println("---");
  }

  public static void main(String args[])
  {
    //Erzeugen der LinkedList
    System.out.println("Start : main");
    System.out.println("LinkedList");
    LinkedList list1 = new LinkedList();
    fillList(list1);
    printList(list1);
	//Erzeugen der ArrayList
    System.out.println("ArrayList");
    ArrayList list2 = new ArrayList();
    fillList(list2);
    printList(list2);
	//Test von removeAll
    System.out.println("Entfernen des Elementes 0");
    list2.remove("0");
    list1.removeAll(list2);
    printList(list1);
  }
}