
//Titel:        DemoStack
//Version:
//Copyright:    Copyright (c) 2000
//Autor:       J.M.Joller
//Firma:      (C) J.M.Joller
//Beschreibung:  Beispiel eines Stacks
package DemoStack;

import java.util.Stack;
import java.io.*;

public class StackDemo {

  public static void main(String args[]) {
    BufferedReader stdin = new BufferedReader(
                   new InputStreamReader(System.in));
    PrintWriter stdout = new PrintWriter(System.out,true);
    Stack s = new Stack();    // Neuer Stack
    String text = "";
    // So lange Zeilen einlesen und dem Stack zufgen,
    // bis 'stop' eingegeben wird
    do {
      try {
        text = stdin.readLine();  // Zeile einlesen und
        s.push(text);        // auf dem Stack speichern
      }
      catch (IOException e) {
        stdout.println("Error: "+e);
      }
    } while(! (text.equals("stop")));
    // Alle Zeilen vom Stack entfernen und ausgeben
    while (! s.empty())
      stdout.println(s.pop());
   }
}


