package MsgQueueBsp;

import java.util.*;

public class MessageQueue {   // Message  Queue = Vector
	Vector queue = new Vector();

	public synchronized void send(Object obj) {
		queue.addElement(obj);
	}

	public synchronized Object recv() {
		if (queue.size() == 0) return null;

		Object obj = queue.firstElement();
		queue.removeElementAt(0);
		return obj;
	}

  // Queue erweitern : 1) Anzahl Elemente 2) Abfrage, ob Elemente drin sind
  public int nr_messages() {
    return queue.size();
  }

  public boolean is_empty() {
    return queue.isEmpty();
  }
}
