package vectorbeispiel;

import java.util.Vector;

/**
 * Title:        Beispiel fr den EInsatz der Klasse Vector
 * Description:
 * Copyright:    Copyright (c) 2000
 * Company:      Joller-Voss GmbH
 * @author J.M.Joller
 * @version 1.0
 */

public class MeinVektor extends Vector {
        public MeinVektor() {
           super(1,1);        // storage capacity & capacityIncrement
        }

        public void addInt(int i) {
            addElement(new Integer(i)); // addElement verlangt Object arg
	 }

       public void addFloat(float f) {
           addElement(new Float(f));
       }

       public void addString(String s) {
           addElement(s);
       }

       public void addCharArray(char a[]) {
           addElement(a);
       }

       public void printVector() {
           Object o;
           int length = size();       // vergleiche mit capacity()
           System.out.println("Anzahl Elemente im Vektor " + length
                               + "\n ... und hier sind die ELemente:");
           for (int i = 0; i < length; i++) {
              o = elementAt(i);
              if (o instanceof char[]) {
                  System.out.println("Element "+i+": "+String.copyValueOf((char[]) o));
              }
              else
                  //System.out.println(o.toString()); prints garbage
                  System.out.println("Element "+i+": "+o.toString());
           }
       }

       public static void main(String args[]) {
           MeinVektor v = new MeinVektor() ;
           int digit = 5;
           float real = 3.14f;
           char letters[] = { 'a', 'b', 'c', 'd'};
           String s = new String ("Das funktioniert ja alles prchtig!");

           v.addInt(digit);
           v.addFloat(real);
           v.addString(s);
           v.addCharArray(letters);

           v.printVector();
       }
  }
