
//Titel:       Liste
//Version:     
//Copyright:   Copyright (c) 2000
//Autor:      J.M.Joller
//Organisation:     (C) J.M.Joller
//Beschreibung: Definition einer eigenenn Liste
package eigeneListe;

import java.applet.Applet;
import java.io.*;

public class SimpleListDemo {
  ListElement root = null;  // Verweis auf Anfang
  static PrintWriter stdout = new PrintWriter(System.out, true);

  public static void main(String args[]){
    SimpleListDemo demo = new SimpleListDemo();
    int number;
    BufferedReader in =
      new BufferedReader(new InputStreamReader(System.in));
    do {
      try {
        // Eine Zahl einlesen
        number = Integer.parseInt(in.readLine());
        demo.add(number);  // Zahl der List hinzufgen
        stdout.println();
        demo.out();        // Gesamte Liste ausgeben
      }
      catch(Exception e) { // Im Fehlerfall
        System.exit(1);    // Programm beenden
      }
    } while(true);
  }

  public void add(int value) {
    // Neues Listenelement mit dem
    // bergebenen Wert erzeugen
    ListElement newelement =
                  new ListElement();
    newelement.setObject(new Integer(value));
    // Ist die Liste Leer?
    if (root != null) {
      // Ist der neue Wert grer, als der erste?
      if (value > ((Integer)root.getObject()).intValue()) {
         ListElement current = root;  // Laufzeiger
         // Suche Einfgeposition
        while((current.getNext() != null) &&
          (value > ((Integer)current.getNext().getObject()).intValue()))
          current = current.getNext();
        // Einfgen in die Liste
        newelement.setNext(current.getNext());
        current.setNext(newelement);
      }
      else {
        // Einfgen vor 'root', wenn neues Element
        // kleiner als das erste Element ist
        newelement.setNext(root);
        root = newelement;
      }
    }
    else
      // Einfgen als 'root', wenn die Liste leer ist
      root = newelement;
  }

  public void out() {
    ListElement current = root;  // Laufzeiger
    while(current != null) {
      stdout.println(current.getObject());
      current = current.getNext();
    }
  }
}


